> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/graphql/entity/datemath.md).

# DateMath

{% hint style="info" %}
GraphQL can significantly enhance the power of your API Integration. To onboard, please reach out to your Account Manager for pricing information.
{% endhint %}

**DateMath** is a field on the [Entity](/graphql/entity.md) root type that represents any characteristics that are set up with DateMath on a given Rightsline record.  DateMath is an array of objects with the following structure:

```graphql
{
    entity(id: 1, charTypeId: 4) {
        dateMath {
            result
            dateMathCalcId
            isCalculated
            compareToDate
            dateOption
            recalcOption
            conditionOption
            parentCalcs {
                dateMathRelId
                yearQuantity
                monthQuantity
                weekQuantity
                dayQuantity
                dayUnit
                isPriorTo
                sortOrder
                entityTitle
                entityTypeId
                id
                tagLabel
                label
                characteristicId
            }
            childCharacteristic {
                type
                entityTitle
                entityTypeId
                id
                tagLabel
                label
                characteristicId
            }
        }
    }
}
```

The response for a record's DateMath will look like the following:

```json
{
    "data": {
        "entity": {
            "dateMath": [
                {
                    "result": "Agreement Date equals Execution Date.",
                    "dateMathCalcId": 2145648462165,
                    "isCalculated": true,
                    "compareToDate": null,
                    "dateOption": null,
                    "recalcOption": "Archive",
                    "conditionOption": "ASAP",
                    "parentCalcs": [
                        {
                            "dateMathRelId": 12345,
                            "yearQuantity": null,
                            "monthQuantity": null,
                            "weekQuantity": null,
                            "dayQuantity": null,
                            "dayUnit": "Days",
                            "isPriorTo": false,
                            "sortOrder": 0,
                            "entityTitle": "Test Deal 2",
                            "entityTypeId": 4,
                            "id": 2,
                            "tagLabel": "execution_date",
                            "label": "Execution Date",
                            "characteristicId": 200
                        }
                    ],
                    "childCharacteristic": {
                        "type": "Equals",
                        "entityTitle": "Test Deal 1",
                        "entityTypeId": 4,
                        "id": 1,
                        "tagLabel": "agreement_date",
                        "label": "Agreement Date",
                        "characteristicId": 191
                    }
                }
            ]
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.rightsline.com/graphql/entity/datemath.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
